#  C720.defn.tcl       (Padvoa/LNL Silcon Shaper)

proc {CAEN C720} {name c n} {
      define-register $name cCAMAC reset          "-c $c -n $n -a 0 -f 9"

      define-register $name xCAMAC Flags           "-c $c -n $n -a 10 -f 0 -p rw -l 8 -b 0 -z d"
      define-register $name xCAMAC Stop_Enable     "-c $c -n $n -a 10 -f 0 -p rw -l 1 -b 0 -z d"
      define-register $name xCAMAC Start_Enable    "-c $c -n $n -a 10 -f 0 -p rw -l 1 -b 1 -z d"
      define-register $name xCAMAC Linear_Gate     "-c $c -n $n -a 10 -f 0 -p rw -l 1 -b 2 -z d"
      define-register $name xCAMAC Module_Enable   "-c $c -n $n -a 10 -f 0 -p rw -l 1 -b 3 -z d"
      define-register $name xCAMAC PUR_Enable      "-c $c -n $n -a 10 -f 0 -p rw -l 1 -b 4 -z d"

      define-register $name xCAMAC AI_MUX          "-c $c -n $n -a 9 -f 0 -p rw -l 3 -b 0 -z d"  
      define-register $name xCAMAC DI_MUX          "-c $c -n $n -a 8 -f 0 -p rw -l 3 -b 0 -z d" 

      define-register $name xCAMAC Master_Thresh   "-c $c -n $n -a 0 -f 0 -p rw -l 8 -b 0 -z d" 
      define-register $name xCAMAC PoleZero        "-c $c -n $n -a 1 -f 0 -p rw -l 8 -b 0 -z d"
      define-register $name xCAMAC CO_Thresh       "-c $c -n $n -a 2 -f 0 -p rw -l 8 -b 0 -z d"

      define-register $name xCAMAC Gain            "-c $c -n $n -a 3 -f 0 -p rw -l 2 -b 0 -z d"

      define-register $name xCAMAC Walk_Thresh     "-c $c -n $n -a 4 -f 0 -p rw -l 8 -b 0 -z d"
      define-register $name xCAMAC CFD_Delay       "-c $c -n $n -a 5 -f 0 -p rw -l 8 -b 0 -z d"
      define-register $name xCAMAC CFD_Width       "-c $c -n $n -a 6 -f 0 -p rw -l 8 -b 0 -z d"
      define-register $name xCAMAC CFD_TAC_Delay   "-c $c -n $n -a 7 -f 0 -p rw -l 8 -b 0 -z d"
} 



proc {CAEN C720_DAQ-reset} {args} {
#   
   set module [first $args]
   set r [read-register $module.Flags]
   if {[string index $r 2] == "0"} then {no-QX $module.Flags}
}

proc {CAEN C720_DAQ-go} {args} {
#   
   set module [first $args]
 #  write-register $module.Module_Enable 1
}

proc {CAEN C720_DAQ-halt} {args} {
# 
   set module [first $args]
  # write-register $module.Module_Enable 0
}


#    for camacsaverestore
set {CAEN C720_registersavepatterns} {Flags Master_Thresh PoleZero CO_Thresh Gain Walk_Thresh CFD_Delay CFD_Width CFD_TAC_Delay}
