#  CAEN469.defn.tcl

proc {CAEN C469} {name c n} {
      foreach i {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15} {
          define-register $name xCAMAC c$i.delay    "-c$c -n$n -a$i -f16 -pwo -l0 -b0" 
          define-register $name xCAMAC c$i.width    "-c$c -n$n -a$i -f17 -pwo -l0 -b0"
          define-register $name xCAMAC c$i.select   "-c$c -n$n -a$i -f18 -pwo -l0 -b0"
      }
      define-register $name xCAMAC set     "-c$c -n$n -a0 -f19 -pwo -l10 -b0"
      define-register $name cCAMAC test    "-c$c -n$n -a0 -f25"
      define-register $name cCAMAC reset   "-c$c -n$n -a0 -f9"
} 



proc {CAEN C469_DAQ-reset} {args} {
#   CAEN469
   set module [first $args]
   if {[read-register $module.reset] != "%11"} then {no-QX $module.reset}
   write-register $module.set 0
}

proc {CAEN C469_DAQ-go} {args} {
#   CAEN469
   write-register $module.set 0
}

proc {CAEN C469_DAQ-halt} {args} {
#   CAEN469
}

#    for camacsaverestore
set {CAEN C469_registersavepatterns} {
      foreach i {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15} {c$i.delay c$i.width c$i.select}
}
