# LC2551.defn.tcl


proc {LeCroy 2551} {name c n} {
          define-register $name cCAMAC reset              "-c $c -n $n -a 0 -f 9"
          define-register $name cCAMAC testlam            "-c $c -n $n -a 0 -f 8"
          define-register $name cCAMAC disable            "-c $c -n $n -a 0 -f 24"
          define-register $name cCAMAC enable             "-c $c -n $n -a 0 -f 26"
          define-register $name cCAMAC increment          "-c $c -n $n -a 0 -f 25"
          foreach i {0 1 2 3 4 5 6 7 8 9 10 11} {
            define-register $name xCAMAC c$i.data      "-c $c -n $n -a $i -f 0 -w 24 -p ro -l 0 -b 0"
            define-register $name xCAMAC c$i.data+clr  "-c $c -n $n -a $i -f 2 -w 24 -p ro -l 0 -b 0"
          } 
}

proc {LeCroy 2551_DAQ-reset} {args} {
#   LC2551
   set module [first $args]
   if {[read-register $module.reset] != "%01"} then {no-QX $module.reset}
   read-register $module.disable
}

proc {LeCroy 2551_DAQ-go} {args} {
#   LC2551
   set module [first $args]
   read-register $module.enable
}

proc {LeCroy 2551_DAQ-halt} {args} {
#   LC2551
   set module [first $args]
   read-register $module.disable
}
