#  LC4504.defn.tcl

proc {LeCroy 4504} {name c n} {
      define-register $name xCAMAC adc0.data   "-c$c -n$n -a0 -f0 -pro -l4 -b0"
      define-register $name xCAMAC adc1.data   "-c$c -n$n -a0 -f0 -pro -l4 -b4"
      define-register $name xCAMAC adc2.data   "-c$c -n$n -a0 -f0 -pro -l4 -b8"
      define-register $name xCAMAC adc3.data   "-c$c -n$n -a0 -f0 -pro -l4 -b12"
      define-register $name xCAMAC adc0.oflow  "-c$c -n$n -a0 -f1 -pro -l1 -b0 -zd"
      define-register $name xCAMAC adc1.oflow  "-c$c -n$n -a0 -f1 -pro -l1 -b1 -zd"
      define-register $name xCAMAC adc2.oflow  "-c$c -n$n -a0 -f1 -pro -l1 -b2 -zd"
      define-register $name xCAMAC adc3.oflow  "-c$c -n$n -a0 -f1 -pro -l1 -b3 -zd"
      define-register $name xCAMAC VL          "-c$c -n$n -a0 -f16 -pwo -l8 -b0"
      define-register $name xCAMAC VH          "-c$c -n$n -a1 -f16 -pwo -l8 -b0"
      define-register $name cCAMAC C           "-c$c -n$n -a0 -f25" 
} 



proc {LeCroy 4504_DAQ-reset} {args} {
#   LC4504
   set module [first $args]
   if {[read-register $module.C] != "%11"} then {no-QX $module.C}
   write-register $module.VL 0xc1
   write-register $module.VH 0x01
}

proc {LeCroy 4504_DAQ-go} {args} {
#   LC4504
}

proc {LeCroy 4504_DAQ-halt} {args} {
#   LC4504
}

#    for camacsaverestore
set {LeCroy 4504_registersavepatterns} {VL VH}
