#  LC4532.defn.tcl

proc {LeCroy 4532} {name c n} {
      define-register $name xCAMAC pattern.L   "-c$c -n$n -a0 -f0 -pro -l0 -b0"
      define-register $name xCAMAC pattern.H   "-c$c -n$n -a1 -f0 -pro -l0 -b0"   
      define-register $name xCAMAC pattern.CLR "-c$c -n$n -a1 -f2 -pro -l0 -b0"
      define-register $name xCAMAC status      "-c$c -n$n -a0 -f1 -pro -l4 -b0"
      define-register $name xCAMAC status.LAM         "-c$c -n$n -a0 -f1 -pro -l1 -b0 -zd"
      define-register $name xCAMAC status.LAMenable   "-c$c -n$n -a0 -f1 -pro -l1 -b1 -zd"
      define-register $name xCAMAC status.MEMenable   "-c$c -n$n -a0 -f1 -pro -l1 -b2 -zd"
      define-register $name xCAMAC status.Cenable     "-c$c -n$n -a0 -f1 -pro -l1 -b3 -zd"
      define-register $name cCAMAC testlam       "-c$c -n$n -a0 -f8"
      define-register $name cCAMAC clear         "-c$c -n$n -a0 -f9" 
      define-register $name cCAMAC test+clrlam   "-c$c -n$n -a0 -f10" 
} 



proc {LeCroy 4532_DAQ-reset} {args} {
#   LC4532
   set module [first $args]
   set r [read-register $module.clear]
   if {[string index $r 2] == "0"} then {no-QX $module.status}
}

proc {LeCroy 4532_DAQ-go} {args} {
#   LC4532
}

proc {LeCroy 4532_DAQ-halt} {args} {
#   LC4532
}

