

#    determine the type of access used for the CAMAC server
#     and then name


if {[info exists env(CAMACAccessServerTransport)] == 0} then {
     set Transport RPC
     set SOAPServer [inform ex obtain_SOAPServer CAMACAccessServer]
     if {$SOAPServer != ""} then {set Transport SOAP}      ;#   there is a suitable SOAP server for this experiment
} else {
     set Transport $env(CAMACAccessServerTransport)
     set SOAPServer ""
}

if {$Transport == "RPC"} {

    if {[info exists env(CamacServer)] == 0} then {set resource camac}  \
        else {set resource $env(CamacServer)}
        
    set RegisterServer $resource
} else {

    if {[info exists env(CAMACAccessServerHost)] == 0} then {
        if {$SOAPServer != ""} {
            set CAMACAccessServerHost [first [split $SOAPServer :]]
        } else {
            set CAMACAccessServerHost localhost
        }
    } else {
        set CAMACAccessServerHost $env(CAMACAccessServerHost)
    }

    if {[info exists env(CAMACAccessServerPort)] == 0} then {
        if {$SOAPServer != ""} {
            if {[llength [split $SOAPServer :]] == 2} then {
                set CAMACAccessServerPort [second [split $SOAPServer :]]
            } else {set CAMACAccessServerPort 8015}
        } else {
            set CAMACAccessServerPort 8015
        }
    } else {
        set CAMACAccessServerPort $env(CAMACAccessServerPort)
    }

    package require CAMACAccessClient
}

