# SEN4S2004.defn.tcl


proc {SEN 4S2004} {name c n} {
          define-register $name cCAMAC increment      "-c$c -n$n -a0 -f25"
          define-register $name xCAMAC enableL        "-c$c -n$n -a0 -f17 -w 16 -pwo -l0 -b0"
          foreach i {0 1 2 3} {
            define-register $name xCAMAC c$i.data      "-c$c -n$n -a$i -f0 -w 16 -pro -l0 -b0"
            define-register $name xCAMAC c$i.data+clr  "-c$c -n$n -a$i -f2 -w 16 -pro -l0 -b0"
            define-register $name cCAMAC c$i.testL     "-c$c -n$n -a$i -f8"
            define-register $name cCAMAC c$i.testL+clrOFL "-c$c -n$n -a$i -f10"
          }
}

proc {SEN 4S2004_DAQ-reset} {args} {
#   SEN4S2004
   set module [first $args]
   if {[read-register $module.increment] != "%10"} then {no-QX $module}
   foreach i {0 1 2 3} {read-register $module.c$i.data+clr}
}

proc {SEN 4S2004_DAQ-go} {args} {
#   SEN4S2004
   set module [first $args]
}

proc {SEN 4S2004_DAQ-halt} {args} {
#   SEN4S2004
   set module [first $args]
}
