#    definition of required CAMAC  modules

set camacmenulist {}
set camactasklist {}

lappend tasklist       "camaccontrol #"
lappend camacmenulist  "Control"
lappend camactasklist  "camaccontrol"

#  load camac module list and append to tasklist and camacmenulist
loadsource camaccontrol.defn

foreach item $moduledefinition {
  lappend tasklist "[third $item] #"
  lappend camacmenulist [first $item]
  lappend camactasklist [third $item]
}

lappend tasklist      "SCC #"
lappend camacmenulist "Serial CC"
lappend camactasklist "SCC"

lappend tasklist      "CC #"
lappend camacmenulist "Parallel CC"
lappend camactasklist "CC"

lappend tasklist      "RS232CC #"
lappend camacmenulist "RS232 CC"
lappend camactasklist "RS232CC"

lappend tasklist      "camacsaverestore #"
lappend camacmenulist "Save/Restore"
lappend camactasklist "camacsaverestore"

lappend tasklist      "camacdiag #"
lappend camacmenulist "diagnostics"
lappend camactasklist "camacdiag"

set camacmenu {}
foreach item $camacmenulist {
   if {$item != ""} then {lappend camacmenu $item}
}

proc click-camac m {
   global camactasklist camacmenulist
   set task [lindex $camactasklist [lsearch $camacmenulist $m]]
   inform $task start
}

set ACTION(camac) "CAMAC-MENU \{click-camac \$v\}"

set MENU(camac)   "global camacmenu; :menubutton CAMAC-MENU  :label \"CAMAC Module Control\" :strings \$camacmenu"

