
#    moduledefinition
#        for each module need
#          1.  Type  (used for module choice list - ie  LeCroy 4300)
#          2.  Name  (used when generating register names  -   ie   4300
#          3.  taskname  (of monitor/setup window   -  ie  LC4300)
#          4.  Number of Channels (  - ie  16)
#          5.  Number of Data Bits (<= 11 , 12 , 13)


set moduledefinition {                                                     \
                      {"LeCroy 4300"      "lc4300b"    "LC4300B"   16  11 }  \
                      {"Silena 4418/V"   "s4418v"     "S4418V"     8  12 }  \
                      {"Silena 4418/T"   "s4418t"     "S4418T"     8  12 }  \
                      {"QDC1612F"         "qdc1612f"   "QDC1612F"  16  12 }  \
                      {"Ortec 413"        "ot413"      "ORTEC413"   4  13 }  \
                      {"LeCroy 2551"      "lc2551"     "LC2551"     0  0 }  \
                      {"LeCroy 2277"      "lc2277"     "LC2277"     0  0 }  \
                      {"LeCroy 4434"      "lc4434"     "LC4434"     0  0 }  \
                      {"LeCroy 4516"      "lc4516"     "LC4516"     0  0 }  \
                      {"LeCroy 4518"      "lc4518"     "LC4518"     0  0 }  \
                      {"LeCroy 4208"      "lc4208"     "LC4208"     0  0 }  \
                      {"LeCroy 4413"      "lc4413"     "LC4413"     0  0 }  \
                      {"LeCroy 4415A"     "lc4415A"    "LC4415A"    0  0 }  \
                      {"LeCroy 4504"      "lc4504"     "LC4504"     0  0 }  \
                      {"LeCroy 4532"      "lc4532"     "LC4532"     0  0 }  \
                      {"LeCroy 4301"      "lc4301"     "LC4301"     0  0 }  \
                      {"LeCroy 4302"      "lc4302"     "LC4302"     0  0 }  \
                      {"LeCroy 3420"      "lc3420"     "LC3420"     0  0 }  \
                      {"LeCroy 3377"      "lc3377"     "LC3377"     0  0 }  \
                      {"CAEN C469"        "caen469"    "CAEN469"    0  0 }  \
                      {"CAEN C671"        "caen671"    "CAEN671"    0  0 }  \
                      {"Ortec CCF8200"    "ccf8200"    "CCF8200"    0  0 }  \
                      {"Ortec HM413"      "hm413"      "HM413"    0  0 }  \
                      {"SEN 4S2004"       "sen4s2004"  "SEN4S2004"  0  0 }  \
                      {"CAEN C720"         "c720"        "C720"        0  0 }  \
                      {"FR48REG"             "fr48reg"        "FR48REG"        0  0 }  \
                     }

