# CAEN671.defn.tcl


proc {CAEN C671} {name c n} {
          define-register $name xCAMAC Dwidth1      "-c$c -n$n -a0 -f20 -pwo -l8 -b0"
          define-register $name xCAMAC Dwidth2      "-c$c -n$n -a1 -f20 -pwo -l8 -b0"
          define-register $name xCAMAC Emaj         "-c$c -n$n -a2 -f20 -pwo -l8 -b0"
          define-register $name xCAMAC Imaj         "-c$c -n$n -a3 -f20 -pwo -l8 -b0"
          define-register $name xCAMAC Sum          "-c$c -n$n -a2 -f20 -pwo -l1 -b8"
          define-register $name xCAMAC Deadtime1    "-c$c -n$n -a4 -f20 -pwo -l8 -b0"
          define-register $name xCAMAC Deadtime2    "-c$c -n$n -a5 -f20 -pwo -l8 -b0"
          define-register $name xCAMAC Owidth1      "-c$c -n$n -a6 -f20 -pwo -l8 -b0"
          define-register $name xCAMAC Owidth2      "-c$c -n$n -a7 -f20 -pwo -l8 -b0"

          define-register $name xCAMAC Mask           "-c$c -n$n -a0 -f1 -pwo -l0 -b0"
          foreach i {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15} {
            define-register $name xCAMAC Threshold$i    "-c$c -n$n -a$i -f16 -pwo -l8 -b0"
            define-register $name xCAMAC Delay$i    "-c$c -n$n -a$i -f17 -pwo -l8 -b0"
            define-register $name xCAMAC Minput$i    "-c$c -n$n -a$i -f22 -pwo -l1 -b8"
            define-register $name xCAMAC Moutput$i    "-c$c -n$n -a$i -f19 -pwo -l1 -b8"
            define-register $name xCAMAC Mdelayed$i    "-c$c -n$n -a$i -f21 -pwo -l1 -b8"
          }
          foreach i {0 1 2 3 4 5 6 7} {
            define-register $name xCAMAC Enable$i    "-c$c -n$n -a0 -f18 -pwo -l1 -b$i"
            define-register $name xCAMAC Enable[expr $i+8]    "-c$c -n$n -a1 -f18 -pwo -l1 -b$i"
          }
      define-register $name cCAMAC test    "-c$c -n$n -a0 -f25"
      define-register $name cCAMAC reset   "-c$c -n$n -a0 -f9"
}


proc {CAEN C671_DAQ-reset} {module vsn} {
#   LC3420
#   if {[read-register $module.Mask] != "%11"} then {no-QX $module.Mask}
}

proc {CAEN C671_DAQ-go} {module vsn} {
#   LC3420
}

proc {CAEN C671_DAQ-halt} {args} {
#   LC3420
    set module [first $args]
}

#    for camacsaverestore
#set {CAEN C671_registersavepatterns} {c?.threshold DeadTime Width TimeToCharge Mask}
set {CAEN C671_registersavepatterns} {Threshold? DeadTime Width TimeToCharge Mask}

