# CCF8200.defn.tcl


proc {Ortec CCF8200} {name c n} {
          define-register $name cCAMAC test           "-c$c -n$n -a0 -f25"
          define-register $name xCAMAC WidthA         "-c$c -n$n -a0 -f1 -prw -l8 -b0"
          define-register $name xCAMAC WidthB         "-c$c -n$n -a1 -f1 -prw -l8 -b0"
          define-register $name xCAMAC MMask           "-c$c -n$n -a2 -f1 -prw -l0 -b0"
          foreach i {0 1 2 3 4 5 6 7} {
            define-register $name xCAMAC Threshold$i    "-c$c -n$n -a$i -f0 -prw -l8 -b0"
            define-register $name xCAMAC Mask$i    "-c$c -n$n -a2 -f1 -prw -l1 -b$i"
          }
}


proc {Ortec CCF8200_DAQ-reset} {module vsn} {
#   CCF8200
#   if {[read-register $module.Mask] != "%11"} then {no-QX $module.Mask}
}

proc {Ortec CCF8200_DAQ-go} {module vsn} {
#   CCF8200
}

proc {Ortec CCF8200_DAQ-halt} {args} {
#   CCF8200
    set module [first $args]
}

#    for camacsaverestore
set {Ortec CCF8200_registersavepatterns} {Threshold? WidthA WidthB MMask}

