# LC3377.defn.tcl


proc {LeCroy 3377} {name c n} {
          define-register $name cCAMAC clear          "-c$c -n$n -a0 -f9"
          define-register $name cCAMAC reset          "-c$c -n$n -a0 -f9"
          define-register $name cCAMAC testlam        "-c$c -n$n -a0 -f8"
          define-register $name cCAMAC clearlam       "-c$c -n$n -a0 -f10"
          define-register $name cCAMAC testprogram    "-c$c -n$n -a0 -f13"

          define-register $name xCAMAC eprom1         "-c$c -n$n -a0 -f21 -pwo"
          define-register $name xCAMAC eprom2         "-c$c -n$n -a0 -f22 -pwo"
          define-register $name xCAMAC eprom3         "-c$c -n$n -a0 -f23 -pwo"

          define-register $name cCAMAC disablelam     "-c$c -n$n -a0 -f24"
          define-register $name cCAMAC disabledaq     "-c$c -n$n -a1 -f24"
          define-register $name cCAMAC enablelam      "-c$c -n$n -a0 -f26"
          define-register $name cCAMAC enabledaq      "-c$c -n$n -a1 -f26"
          define-register $name cCAMAC test           "-c$c -n$n -a0 -f25"
          define-register $name cCAMAC testbuffering  "-c$c -n$n -a0 -f27"
          define-register $name cCAMAC testbusy       "-c$c -n$n -a1 -f27"
          define-register $name cCAMAC testevent      "-c$c -n$n -a2 -f27"
          define-register $name cCAMAC testfifo       "-c$c -n$n -a3 -f27"
          define-register $name cCAMAC reprogram       "-c$c -n$n -a0 -f30"

          define-register $name xCAMAC control0          "-c$c -n$n -a0 -f1 -prw -l0 -b0 -i0"
          define-register $name xCAMAC control0.vsn      "-c$c -n$n -a0 -f1 -prw -l8 -b0 -i0"
          define-register $name xCAMAC control0.dsv      "-c$c -n$n -a0 -f1 -prw -l2 -b8 -zd -i0"
          define-register $name xCAMAC control0.edge     "-c$c -n$n -a0 -f1 -prw -l1 -b10 -zd -i0"
          define-register $name xCAMAC control0.rmode    "-c$c -n$n -a0 -f1 -prw -l1 -b11 -zd -i0"
          define-register $name xCAMAC control0.bmode    "-c$c -n$n -a0 -f1 -prw -l1 -b12 -zd -i0"
          define-register $name xCAMAC control0.hmode    "-c$c -n$n -a0 -f1 -prw -l1 -b13 -zd -i0"
          define-register $name xCAMAC control0.mode     "-c$c -n$n -a0 -f1 -pro -l2 -b14 -zd"
          define-register $name xCAMAC control1          "-c$c -n$n -a1 -f1 -prw -l0 -b0 -i0"
          define-register $name xCAMAC control1.width    "-c$c -n$n -a1 -f1 -prw -l4 -b0 -zd -i0"
          define-register $name xCAMAC control1.delay    "-c$c -n$n -a1 -f1 -prw -l4 -b4 -zd -i0"
          define-register $name xCAMAC control1.unit     "-c$c -n$n -a1 -f1 -prw -l2 -b8 -zd -i0"
          define-register $name xCAMAC control1.mpi      "-c$c -n$n -a1 -f1 -prw -l2 -b10 -zd -i0"
          define-register $name xCAMAC control1.fmode    "-c$c -n$n -a1 -f1 -prw -l1 -b12 -zd -i0"
          define-register $name xCAMAC control1.serial   "-c$c -n$n -a1 -f1 -prw -l3 -b13 -zd -i0"
          define-register $name xCAMAC control2          "-c$c -n$n -a2 -f1 -prw -l0 -b0 -i0"
          define-register $name xCAMAC control2.hits     "-c$c -n$n -a2 -f1 -prw -l4 -b0 -zd -i15"
          define-register $name xCAMAC control2.scale    "-c$c -n$n -a2 -f1 -prw -l12 -b4 -zd -i4095"
          define-register $name xCAMAC control3          "-c$c -n$n -a3 -f1 -prw -l0 -b0 -i0"
          define-register $name xCAMAC control3.req      "-c$c -n$n -a3 -f1 -prw -l4 -b0 -zd -i0"
          define-register $name xCAMAC control3.offset   "-c$c -n$n -a3 -f1 -prw -l12 -b4 -zd -i0"
          define-register $name xCAMAC control4          "-c$c -n$n -a4 -f1 -prw -l0 -b0 -i0"
          define-register $name xCAMAC control4.timeout  "-c$c -n$n -a4 -f1 -prw -l10 -b0 -zd -i0"
          define-register $name xCAMAC control5          "-c$c -n$n -a5 -f1 -prw -l0 -b0 -i0"
          define-register $name xCAMAC control5.pulses   "-c$c -n$n -a5 -f1 -prw -l5 -b0 -zd"
          define-register $name xCAMAC control5.clock    "-c$c -n$n -a5 -f1 -prw -l2 -b5 -zd"
          define-register $name xCAMAC control5.enable   "-c$c -n$n -a5 -f1 -prw -l1 -b8 -zd"
          define-register $name xCAMAC data1          "-c$c -n$n -a0 -f0 -pro -l0 -b0 -zx -q1"
          define-register $name xCAMAC data2          "-c$c -n$n -a1 -f0 -pro -l0 -b0 -zx"
          define-register $name xCAMAC data3          "-c$c -n$n -a2 -f0 -pro -l0 -b0 -zx"
          define-register $name qCAMAC readfifo1       "-c$c -n$n -a0 -f0 -pro -l8192 -zx -ix"
          define-register $name qCAMAC readfifo2       "-c$c -n$n -a1 -f0 -pro -l8192 -zx -ix"
          define-register $name qCAMAC readfifo3       "-c$c -n$n -a2 -f0 -pro -l8192 -zx -ix"
}

proc {LeCroy 3377_DAQ-reset} {args} {
#   LC3377
#   set module [first $args]
#   if {[read-register $module.reset] != "%11"} then {no-QX $module.reset}
#   read-register $module.disable
#   initialise-register $module.status
#   initialise-register $module.status.mode
#   initialise-register $module.status.trailing
}

proc {LeCroy 3377_DAQ-go} {args} {
#   LC3377
#    set module [first $args]
#    read-register $module.clear
}

proc {LeCroy 3377_DAQ-halt} {args} {
#   LC3377
#    set module [first $args]
}

