# LC3420.defn.tcl


proc {LeCroy 3420} {name c n} {
          define-register $name cCAMAC test           "-c$c -n$n -a0 -f25"
          define-register $name xCAMAC DeadTime       "-c$c -n$n -a1 -f1 -prw -l4 -b0"
          define-register $name xCAMAC Width          "-c$c -n$n -a1 -f1 -prw -l4 -b4"
          define-register $name xCAMAC TimeToCharge   "-c$c -n$n -a2 -f1 -prw -l8 -b0"
          define-register $name xCAMAC MMask           "-c$c -n$n -a0 -f1 -prw -l0 -b0"
          foreach i {0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15} {
            define-register $name xCAMAC Threshold$i    "-c$c -n$n -a$i -f0 -prw -l8 -b0"
            define-register $name xCAMAC Mask$i        "-c$c -n$n -a0 -f1 -prw -l1 -b$i"
          }
}


proc {LeCroy 3420_DAQ-reset} {module vsn} {
#   LC3420
#   if {[read-register $module.MMask] != "%11"} then {no-QX $module.MMask}
}

proc {LeCroy 3420_DAQ-go} {module vsn} {
#   LC3420
}

proc {LeCroy 3420_DAQ-halt} {args} {
#   LC3420
    set module [first $args]
}

#    for camacsaverestore
set {LeCroy 3420_registersavepatterns} {Threshold? Threshold?? DeadTime Width TimeToCharge MMask}

