# LC4208.defn.tcl

proc {LeCroy 4208} {name c n} {
          define-register $name cCAMAC reset              "-c$c -n$n -a0 -f9" 
          foreach i {0 1 2 3 4 5 6 7} {
            define-register $name xCAMAC adc$i.data       "-c$c -n$n -a$i -f0 -pro -l0 -b0"
            define-register $name xCAMAC adc$i.data+clr   "-c$c -n$n -a$i -f2 -pro -l0 -b0"
          }
} 


proc {LeCroy 4208_DAQ-reset} {args} {
#   LC4208
   set module [first $args]
   if {[read-register $module.reset] != "%11"} then {no-QX $module.reset}
}

proc {LeCroy 4208_DAQ-go} {args} {
#   LC4208
}

proc {LeCroy 4208_DAQ-halt} {args} {
#   LC4208
}

