#  LC4413.defn.tcl

proc {LeCroy 4413} {name c n} {
      define-register $name xCAMAC mask          "-c$c -n$n -a0 -f0 -prw -l0 -b0" 
      define-register $name xCAMAC threshold     "-c$c -n$n -a0 -f1 -prw -l10 -b0"
      define-register $name xCAMAC manualmode    "-c$c -n$n -a0 -f1 -prw -l1 -b10 -zd"
      define-register $name cCAMAC test          "-c$c -n$n -a0 -f25"
      define-register $name cCAMAC localmode     "-c$c -n$n -a0 -f24" 
      define-register $name cCAMAC remotemode    "-c$c -n$n -a0 -f26" 
      define-register $name cCAMAC switchtest    "-c$c -n$n -a0 -f27" 
} 



proc {LeCroy 4413_DAQ-reset} {args} {
#   LC4413
   set module [first $args]
   if {[read-register $module.test] != "%11"} then {no-QX $module.test}
   read-register $module.remotemode
   write-register $module.mask 0
   write-register $module.threshold 0xff
}

proc {LeCroy 4413_DAQ-go} {args} {
#   LC4413
}

proc {LeCroy 4413_DAQ-halt} {args} {
#   LC4413
}

#    for camacsaverestore
set {LeCroy 4413_registersavepatterns} {mask threshold}
