#  LC4434.defn.tcl

proc {LeCroy 4434} {name c n} { 
          define-register $name cCAMAC testlam            "-c$c -n$n -a0 -f8"
          define-register $name cCAMAC test+clrlam        "-c$c -n$n -a0 -f10" 
          define-register $name xCAMAC command      "-c$c -n$n -a0 -f16 -pwo -l0 -b0"
          define-register $name xCAMAC command.FA   "-c$c -n$n -a0 -f16 -pwo -l5 -b0"
          define-register $name xCAMAC command.RN   "-c$c -n$n -a0 -f16 -pwo -l5 -b8"
          define-register $name xCAMAC command.T    "-c$c -n$n -a0 -f16 -pwo -l1 -b15"
          define-register $name xCAMAC command.LD   "-c$c -n$n -a0 -f16 -pwo -l1 -b5"
          define-register $name xCAMAC command.CL   "-c$c -n$n -a0 -f16 -pwo -l1 -b6" 
          define-register $name xCAMAC command.RD   "-c$c -n$n -a0 -f16 -pwo -l1 -b7"
          define-register $name xCAMAC data      "-c$c -n$n -a0 -f0 -w24 -pro -l0 -b0"
          define-register $name xCAMAC data++    "-c$c -n$n -a0 -f2 -w24 -pro -l0 -b0"
} 



proc {LeCroy 4434_DAQ-reset} {args} {
#   LC4434
   set module [first $args]
   write-register $module.command 0x1f00
   if {[read-register $module.test+clrlam] == "%00"} then {no-QX $module.command}
}

proc {LeCroy 4434_DAQ-go} {args} {
#   LC4434
}

proc {LeCroy 4434_DAQ-halt} {args} {
#   LC4434
}

